function setup()
	for i = 1, 12 do
		room.addActor()
		actor.displayName = "Eggs"
		actor.setIcon("iconalienegg1.png")
		actor.addTerrain("terrain_eggs")
		actor.rot = math.random(0,3)*90
		--actor.scale = 1 + math.random()
		actor.jitterPlacement = 2
		actor.solid = 1
		actor.offsetx = math.random(-8,8)
		actor.offsety = math.random(-8,8)
	end
end